-- Sequence Grep - search sequences for regular expressions

module Main where

import Bio.Sequence

import Text.Regex
import System.IO
import System.Environment

main :: IO ()
main = do
  [pat,file] <- getArgs
  let match s = case matchRegex (mkRegex pat) (toStr $ seqheader s) of 
        Just _ -> True; _ -> False
  hWriteFasta stdout =<< filter match `fmap` readFasta file
  
